#include "mainwindow.h"
#include "ui_mainwindow.h"

#include <qextserialport.h>

MainWindow::MainWindow(QWidget *parent)
    : QMainWindow(parent), ui(new Ui::MainWindowClass)
{
    ui->setupUi(this);
}

MainWindow::~MainWindow()
{
    delete ui;
    delete port;
    port = NULL;
}



void MainWindow::on_pushButtonTransmit_clicked()
{
   int i = port->write("Allo\x0D",5);
   qDebug("trasmitted : %d", i);
}

void MainWindow::on_pushButtonOpenPort_clicked()
{
    port = new QextSerialPort("/dev/ttyUSB0");
  port->setBaudRate(BAUD9600);
  port->setFlowControl(FLOW_OFF);
  port->setParity(PAR_NONE);
  port->setDataBits(DATA_8);
  port->setStopBits(STOP_1);
  port->open(QIODevice::ReadWrite);
   qDebug("isOpen : %d", port->isOpen());
}
